# Namespace: M_

## M_

M_ is a javascript application framework to build single page web applications, rather graphic than theory.

Version:
  - 1.0
Author:
  - David Miglior
To Do:
  - Renomer les balises HTML utilisés en "data-" (par convention)
  - Si le dernier argument de M_.App.open est false alors ne pas appeler d'action (permet de faire un bouton cancel)
  - Donner un nom : Bootstrap commander

### Classes

App
Button
CalendarMonth
Controller
Drawer
Dropdown
Editor
Help
List
Modal
Model
ModelKeyVal
Outlet
SimpleList
Store
TableList
Tabs
Tree
Utils
Window

### Interfaces

CRUD
Observable
Stored

### Namespaces

Form

### Members

#### (static) Dialog

Display a alert dialog window or a confirm dialog window

##### Properties:

Name | Type | Description
--- | --- | ---
`textButtonOk` | type |
`textButtonCancel` | type |

#### (static) i18n

Redefine this constants in your language